package com.xmomen.module.base.model;

import java.io.Serializable;
import java.util.List;

import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.NotBlank;

public class UpdateCompany implements Serializable{

    // 公司代码
    private String companyCode;

	// 公司名称，不能为空
	@NotBlank
	@NotNull
    private String companyName;

    // 公司地址
    private String companyAddress;

    // 公司负责人
    private String companyLeader;

    // 公司负责人电话
    private String companyLeaderTel;
    // 客户经理ID列表
    private List<Integer> customerManagerIds;
	public String getCompanyCode() {
		return companyCode;
	}

	public void setCompanyCode(String companyCode) {
		this.companyCode = companyCode;
	}

	public String getCompanyName() {
		return companyName;
	}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	public String getCompanyAddress() {
		return companyAddress;
	}

	public void setCompanyAddress(String companyAddress) {
		this.companyAddress = companyAddress;
	}

	public String getCompanyLeader() {
		return companyLeader;
	}

	public void setCompanyLeader(String companyLeader) {
		this.companyLeader = companyLeader;
	}

	public String getCompanyLeaderTel() {
		return companyLeaderTel;
	}

	public void setCompanyLeaderTel(String companyLeaderTel) {
		this.companyLeaderTel = companyLeaderTel;
	}

	public List<Integer> getCustomerManagerIds() {
		return customerManagerIds;
	}

	public void setCustomerManagerIds(List<Integer> customerManagerIds) {
		this.customerManagerIds = customerManagerIds;
	}
}
